Status: Closed Start date: Jan 08, 2018

Priority: Normal Due date:  

Assignee: Costantino Perciante % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Related issues:

Related to D4Science Infrastructure - Incident #10821: Cannot access workspace Closed Jan 03, 2018

History

#1 - Jan 08, 2018 11:40 AM - Costantino Perciante

- Related to Incident #10821: Cannot access workspace added

#2 - Jan 08, 2018 05:57 PM - Costantino Perciante

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

@denispyr@i2s.gr and @gantzoulatos@i2s.gr I think I fixed your workspaces. Please check them out

It seems there is something strange with Gerasimos'ws: there are two folders (created in different moments) at the same path. Is this something you

already had?

#3 - Jan 08, 2018 09:16 PM - Denis Pyriochos

My ws is up and running! Thx @costantino.perciante@isti.cnr.it 

#4 - Jan 08, 2018 09:57 PM - Gerasimos Antzoulatos

Thank you @costantino.perciante@isti.cnr.it, now I can have access to my workspace. Maybe the folder named 'Data Mining (0)', which is the shared

folder with  @denispyr@i2s.gr is causing the problem. As you can see in the attached figure, there exist two folders but with different owners. What

should I do for this?

#5 - Jan 08, 2018 09:59 PM - Gerasimos Antzoulatos

- File workspace.PNG added

#6 - Jan 09, 2018 10:53 AM - Costantino Perciante

- File shared_folder.png added

Hi Gerasimos, I think the fact the names of the folders were the same was a mistake of mine while trying to fix them. The one you own (I checked the

history) had name "DataMiner", so I restored it. The problem is that I'm not able to understand with whom you shared it (or who shared it with you).

The folder type is "shared" but within the history I do not see any other user involved but you.

The other one owned by Denis is correct. When I share a folder with you I'm still the owner of that folder and content. (see the attachment of a folder

Massimiliano shared with me)

#7 - Jan 09, 2018 11:39 AM - Denis Pyriochos

- File SharedWithNone.png added

My DataMiner folder, on the other hand, is "Shared: true" but "Shared with: (empty)" (see ShareWithNone image). Is this possible or indicates the

error? Maybe I tried to share the folder(*) and the process did not complete?

(*) I really cannot recall sharing the folder but, as memory is not my strong point, I cannot recall I didn't do it, either. Does the history say anything

regarding this?
#8 - Jan 09, 2018 11:47 AM - Costantino Perciante

Denis Pyriochos wrote:

My DataMiner folder, on the other hand, is "Shared: true" but "Shared with: (empty)" (see ShareWithNone image). Is this possible or indicates

the error? Maybe I tried to share the folder(*) and the process did not complete?

(*) I really cannot recall sharing the folder but, as memory is not my strong point, I cannot recall I didn't do it, either. Does the history say

anything regarding this?

 From the history it seems you shared it with Gerasimos on december 14th. Let me check why you do not see the "shared with" in the info panel

#9 - Jan 09, 2018 02:25 PM - Costantino Perciante

In the meantime the ACL was set for the "DataMiner" folder (as seen by Denis) and "DataMiner (0)" as seen by Gerasimos; it means in the info panel

you should see the correct information.

#10 - Jan 09, 2018 09:13 PM - Denis Pyriochos

Now DataMiner has Shared With info:

Administrator: Denis

Write Owner: Gerasimos

#11 - Jan 12, 2018 09:45 AM - Costantino Perciante

Denis Pyriochos wrote:

Now DataMiner has Shared With info:

Administrator: Denis

Write Owner: Gerasimos

 Yes, I fixed the access rights that way. If you think they are wrong you can change them as you prefer. 

Please close this ticket if it's ok

#12 - Jan 12, 2018 07:57 PM - Denis Pyriochos

- Status changed from Feedback to Closed

Thx @costantino.perciante@isti.cnr.it :)

Files

workspace.PNG 13.9 KB Jan 08, 2018 Gerasimos Antzoulatos

shared_folder.png 6.27 KB Jan 09, 2018 Costantino Perciante

SharedWithNone.png 39.2 KB Jan 09, 2018 Denis Pyriochos
